# rpcap_filter Struct Reference
[Internal Structures and Definitions]

General header used for the pcap_setfilter() command; keeps just the number of BPF instructions. More...

`#include <pcap-remote.h>`

## Data Fields

uint16 | filtertype
| type of the filter transferred (BPF instructions, ...)
uint16 | dummy
| Must be zero.
uint32 | nitems
| Number of items contained into the filter (e.g. BPF instructions for BPF filters).

## Detailed Description

General header used for the pcap_setfilter() command; keeps just the number of BPF instructions.

Definition at line 230 of file pcap-remote.h.

## Field Documentation

uint16 dummy

Must be zero.

Definition at line 233 of file pcap-remote.h.

uint16 filtertype

type of the filter transferred (BPF instructions, ...)

Definition at line 232 of file pcap-remote.h.

uint32 nitems

Number of items contained into the filter (e.g. BPF instructions for BPF filters).

Definition at line 234 of file pcap-remote.h.

The documentation for this struct was generated from the following file:

- pcap-remote.h

documentation. Copyright (c) 2002-2005 Politecnico di Torino. Copyright (c) 2005-2009 CACE Technologies. All rights reserved.